﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace AridityIndexCalculator
{
    public partial class AridityIndexForm : Form
    {
        double T = 0.0;
        double P = 0.0;

        public AridityIndexForm()
        {
            InitializeComponent();
        }

        private void textBox1_TextChanged(object sender, EventArgs e)
        {
            bool valid = double.TryParse(textBox1.Text, out T);
            if (valid)
            {               
                textBox3.Text = (AridityIndexCalculator.Martonne(T, P)).ToString();
            }
        }

        private void textBox2_TextChanged(object sender, EventArgs e)
        {
            bool valid = double.TryParse(textBox2.Text, out P);
            if (valid)
            {
                textBox3.Text = (AridityIndexCalculator.Martonne(T, P)).ToString();
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void textBox1_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (!char.IsControl(e.KeyChar) && !char.IsDigit(e.KeyChar) && (e.KeyChar != '.'))
            {
                e.Handled = true;
            }

            // only allow one decimal point
            if ((e.KeyChar == '.') && ((sender as TextBox).Text.IndexOf('.') > -1))
            {
                e.Handled = true;
            }
        }

    }
}
